Loading...
Searching...
No Matches
juce::OSCBundle Class Reference

## Detailed Description

An OSC bundle.

An OSCBundle contains an OSCTimeTag and zero or more OSCBundle Elements. The elements of a bundle can be OSC messages or other OSC bundles (this means that OSC bundles can be nested).

This is an advanced OSC structure useful to bundle OSC messages together whose effects must occur simultaneously at some given time. For most use cases it is probably enough to send and receive plain OSC messages.

The documentation for this class was generated from the following file:

- juce_osc/osc/juce_OSCBundle.h

## Classes

class | Element
| An OSC bundle element. More...

## Public Member Functions

| OSCBundle ()
| Constructs an OSCBundle with no content and a default time tag ("immediately").
| OSCBundle (OSCTimeTag timeTag)
| Constructs an OSCBundle with no content and a given time tag.
void | setTimeTag (OSCTimeTag newTimeTag) noexcept
| Sets the OSCBundle's OSC time tag.
OSCTimeTag | getTimeTag () const noexcept
| Returns the OSCBundle's OSC time tag.
int | size () const noexcept
| Returns the number of elements contained in the bundle.
bool | isEmpty () const noexcept
| Returns true if the bundle contains no elements; false otherwise.
OSCBundle::Element & | operator[] (const int i) noexcept
| Returns a reference to the OSCBundle element at index i in this bundle.
const OSCBundle::Element & | operator[] (const int i) const noexcept
void | addElement (const OSCBundle::Element &element)
| Adds an OSCBundleElement to the OSCBundle's content.
OSCBundle::Element * | begin () noexcept
| Returns a pointer to the first element of the OSCBundle.
const OSCBundle::Element * | begin () const noexcept
| Returns a pointer to the first element of the OSCBundle.
OSCBundle::Element * | end () noexcept
| Returns a pointer past the last element of the OSCBundle.
const OSCBundle::Element * | end () const noexcept
| Returns a pointer past the last element of the OSCBundle.

## Constructors and Destructors

## OSCBundle() [1/2]

juce::OSCBundle::OSCBundle | ( |  | ) |

Constructs an OSCBundle with no content and a default time tag ("immediately").

Referenced by juce::OSCBundle::Element::Element(), and juce::OSCBundle::Element::getBundle().

## OSCBundle() [2/2]

juce::OSCBundle::OSCBundle | ( | OSCTimeTag | timeTag | ) |

Constructs an OSCBundle with no content and a given time tag.

## Member Functions

## setTimeTag()

void juce::OSCBundle::setTimeTag | ( | OSCTimeTag | newTimeTag | ) |

inline noexcept

Sets the OSCBundle's OSC time tag.

## getTimeTag()

OSCTimeTag juce::OSCBundle::getTimeTag | ( |  | ) | const

inline noexcept

Returns the OSCBundle's OSC time tag.

## size()

int juce::OSCBundle::size | ( |  | ) | const

inline noexcept

Returns the number of elements contained in the bundle.

References size().

Referenced by size().

## isEmpty()

bool juce::OSCBundle::isEmpty | ( |  | ) | const

inline noexcept

Returns true if the bundle contains no elements; false otherwise.

## operator[]() [1/2]

OSCBundle::Element & juce::OSCBundle::operator[] | ( | const int | i | ) |

inline noexcept

Returns a reference to the OSCBundle element at index i in this bundle.

This method does not check the range and results in undefined behaviour in case i < 0 or i >= size().

## operator[]() [2/2]

const OSCBundle::Element & juce::OSCBundle::operator[] | ( | const int | i | ) | const

inline noexcept

## addElement()

void juce::OSCBundle::addElement | ( | const OSCBundle::Element & | element | ) |

inline

Adds an OSCBundleElement to the OSCBundle's content.

s

## begin() [1/2]

OSCBundle::Element * juce::OSCBundle::begin | ( |  | ) |

inline noexcept

Returns a pointer to the first element of the OSCBundle.

## begin() [2/2]

const OSCBundle::Element * juce::OSCBundle::begin | ( |  | ) | const

inline noexcept

Returns a pointer to the first element of the OSCBundle.

## end() [1/2]

OSCBundle::Element * juce::OSCBundle::end | ( |  | ) |

inline noexcept

Returns a pointer past the last element of the OSCBundle.

## end() [2/2]

const OSCBundle::Element * juce::OSCBundle::end | ( |  | ) | const

inline noexcept

Returns a pointer past the last element of the OSCBundle.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited